# Class Controller

#### Hierarchy

- Controller

- Defined in src/drawing/drawFeatureComponent.js:129

#####
Index

### Properties

active
drawActive
drawPoint
drawRectangle
drawText
drawToolActivate
featureHelper_
features
gettextCatalog_
gmfSnapping_
interactions_
listSelectionInProgress_
listenerKeys_
longPressTimeout_
mainListenerKeys_
map
mapListenerKeys_
mapSelectActive
mapSelectToolActivate
measureArea
measureAzimut
measureLength
menuListenerKey_
menu_
modifyToolActivate
modify_
nameProperty
ngeoDrawFeatureUid
ngeoToolActivateMgr_
rotateToolActivate
rotate_
scope_
selectedFeature
selectedFeatures
timeout_
translateToolActivate
translate_

### Methods

$onDestroy
$onInit
clearFeatures
getFeaturesArray
handleActiveChange_
handleFeaturesAdd_
handleFeaturesRemove_
handleMapClick_
handleMapContextMenu_
handleMapInteractionsAdd_
handleMapSelectActiveChange_
handleMapTouchEnd_
handleMapTouchStart_
handleMenuActionClick_
handleRotateEnd_
handleTranslateEnd_
initializeInteractions_
registerInteractions_
removeFeature
selectFeatureFromList
unregisterInteractions_

## Properties

### active

active: boolean

- Defined in src/drawing/drawFeatureComponent.js:146

### drawActive

drawActive: boolean

- Defined in src/drawing/drawFeatureComponent.js:151
- Defined in src/drawing/drawFeatureComponent.js:516
- Defined in src/drawing/drawFeatureComponent.js:535
- Defined in src/drawing/drawFeatureComponent.js:574

### drawPoint

drawPoint: Draw

- Defined in src/drawing/drawFeatureComponent.js:370
- Defined in src/drawing/drawFeatureComponent.js:847

### drawRectangle

drawRectangle: Draw

- Defined in src/drawing/drawFeatureComponent.js:390
- Defined in src/drawing/drawFeatureComponent.js:860

### drawText

drawText: Draw

- Defined in src/drawing/drawFeatureComponent.js:395
- Defined in src/drawing/drawFeatureComponent.js:863

### drawToolActivate

drawToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:156

### featureHelper_

featureHelper_: FeatureHelper

- Defined in src/drawing/drawFeatureComponent.js:196

### features

features: Collection<Feature<Geometry>>

- Defined in src/drawing/drawFeatureComponent.js:201

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/drawing/drawFeatureComponent.js:361

### gmfSnapping_

gmfSnapping_: any

- Defined in src/drawing/drawFeatureComponent.js:191

### interactions_

interactions_: Collection<Interaction>

- Defined in src/drawing/drawFeatureComponent.js:221

### listSelectionInProgress_

listSelectionInProgress_: boolean

Flag used to determine whether the selection of a feature was made from the selection of an item from the list or not (the map, contextual menu, etc.)

- Defined in src/drawing/drawFeatureComponent.js:315
- Defined in src/drawing/drawFeatureComponent.js:345
- Defined in src/drawing/drawFeatureComponent.js:533

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/drawing/drawFeatureComponent.js:296

### longPressTimeout_

longPressTimeout_: number

- Defined in src/drawing/drawFeatureComponent.js:171
- Defined in src/drawing/drawFeatureComponent.js:657

### mainListenerKeys_

mainListenerKeys_: EventsKey[]

- Defined in src/drawing/drawFeatureComponent.js:301

### map

map: Map

- Defined in src/drawing/drawFeatureComponent.js:141

### mapListenerKeys_

mapListenerKeys_: EventsKey[]

- Defined in src/drawing/drawFeatureComponent.js:306

### mapSelectActive

mapSelectActive: boolean

- Defined in src/drawing/drawFeatureComponent.js:166
- Defined in src/drawing/drawFeatureComponent.js:500
- Defined in src/drawing/drawFeatureComponent.js:518

### mapSelectToolActivate

mapSelectToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:176

### measureArea

measureArea: default

- Defined in src/drawing/drawFeatureComponent.js:380
- Defined in src/drawing/drawFeatureComponent.js:854

### measureAzimut

measureAzimut: default

- Defined in src/drawing/drawFeatureComponent.js:385
- Defined in src/drawing/drawFeatureComponent.js:857

### measureLength

measureLength: default

- Defined in src/drawing/drawFeatureComponent.js:375
- Defined in src/drawing/drawFeatureComponent.js:850

### menuListenerKey_

menuListenerKey_: EventsKey

- Defined in src/drawing/drawFeatureComponent.js:240
- Defined in src/drawing/drawFeatureComponent.js:751

### menu_

menu_: default

- Defined in src/drawing/drawFeatureComponent.js:235
- Defined in src/drawing/drawFeatureComponent.js:433
- Defined in src/drawing/drawFeatureComponent.js:747

### modifyToolActivate

modifyToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:245

### modify_

modify_: default

- Defined in src/drawing/drawFeatureComponent.js:226

### nameProperty

nameProperty: string

- Defined in src/drawing/drawFeatureComponent.js:359

### ngeoDrawFeatureUid

ngeoDrawFeatureUid: string

- Defined in src/drawing/drawFeatureComponent.js:161

### ngeoToolActivateMgr_

ngeoToolActivateMgr_: ToolActivateMgr

- Defined in src/drawing/drawFeatureComponent.js:206

### rotateToolActivate

rotateToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:286

### rotate_

rotate_: default

- Defined in src/drawing/drawFeatureComponent.js:267

### scope_

scope_: IScope

- Defined in src/drawing/drawFeatureComponent.js:181

### selectedFeature

selectedFeature: Feature<Geometry>

- Defined in src/drawing/drawFeatureComponent.js:211
- Defined in src/drawing/drawFeatureComponent.js:323
- Defined in src/drawing/drawFeatureComponent.js:519
- Defined in src/drawing/drawFeatureComponent.js:534
- Defined in src/drawing/drawFeatureComponent.js:573
- Defined in src/drawing/drawFeatureComponent.js:584
- Defined in src/drawing/drawFeatureComponent.js:647
- Defined in src/drawing/drawFeatureComponent.js:772

### selectedFeatures

selectedFeatures: Collection<Feature<Geometry>>

- Defined in src/drawing/drawFeatureComponent.js:216

### timeout_

timeout_: ITimeoutService

- Defined in src/drawing/drawFeatureComponent.js:186

### translateToolActivate

translateToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:291

### translate_

translate_: default

- Defined in src/drawing/drawFeatureComponent.js:250

## Methods

### $onDestroy

- $onDestroy(): void

- Called upon destruction of the controller.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:414

### $onInit

- $onInit(): void

- Called upon initialization of the controller.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:401

### clearFeatures

- clearFeatures(): void

- #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:547

### getFeaturesArray

- getFeaturesArray(): Feature<Geometry>[]

- ### Returns

  Array.

  #### Returns Feature<Geometry>[]

  - Defined in src/drawing/drawFeatureComponent.js:541

### handleActiveChange_

- handleActiveChange_(active: boolean): void

- Called when the active property of the this directive changes. Manage the activation/deactivation accordingly (event management, etc.)

  #### Parameters

  - ##### active: boolean

    Whether the directive is active or not.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:478

### handleFeaturesAdd_

- handleFeaturesAdd_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:569

### handleFeaturesRemove_

- handleFeaturesRemove_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:583

### handleMapClick_

- handleMapClick_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:616

### handleMapContextMenu_

- handleMapContextMenu_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:675

### handleMapInteractionsAdd_

- handleMapInteractionsAdd_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:835

### handleMapSelectActiveChange_

- handleMapSelectActiveChange_(active: boolean): void

- Called when the mapSelectActive property changes.

  #### Parameters

  - ##### active: boolean

    Whether the map select is active or not.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:592

### handleMapTouchEnd_

- handleMapTouchEnd_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:665

### handleMapTouchStart_

- handleMapTouchStart_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:656

### handleMenuActionClick_

- handleMenuActionClick_(vertexInfo: number[], evt: Event | BaseEvent): void

- #### Parameters

  - ##### vertexInfo: number[]

    Vertex information, in case a vertex was clicked using the right button.

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:783

### handleRotateEnd_

- handleRotateEnd_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:827

### handleTranslateEnd_

- handleTranslateEnd_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:819

### initializeInteractions_

- initializeInteractions_(): void

- Initialize interactions by setting them inactive and decorating them

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:441

### registerInteractions_

- registerInteractions_(): void

- Register interactions by adding them to the map

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:451

### removeFeature

- removeFeature(feature: Feature<Geometry>): void

- #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to remove from the selection.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:558

### selectFeatureFromList

- selectFeatureFromList(feature: Feature<Geometry>): void

- Method called when a selection occurs from the list, i.e. when an item in the list of features is clicked. Called from the template, so no need to update Angular's scope.

  #### Parameters

  - ##### feature: Feature<Geometry>

    Feature to select.

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:532

### unregisterInteractions_

- unregisterInteractions_(): void

- Register interactions by removing them to the map

  #### Returns void

  - Defined in src/drawing/drawFeatureComponent.js:463

Generated using TypeDoc